package com.compdfkit.pdfviewer.entity;

import android.graphics.Bitmap;

public class BackgroundSetting {
    private int color;
    private float opacity;
    private String pages;
    private float rotation;
    private float scale;
    private float xOffset;
    private float yOffset;
    private Bitmap image;

    public BackgroundSetting() {
        color = 0xFFFFFFFF;
        opacity = 0.5f;
        pages = "0";
        rotation = 0.f;
        scale = 1.0f;
        xOffset = 0.f;
        yOffset = 0.f;
        image = null;
    }

    public int getColor() {
        return color;
    }

    public void setColor(int color) {
        this.color = color;
    }

    public float getOpacity() {
        return opacity;
    }

    public void setOpacity(float opacity) {
        this.opacity = opacity;
    }

    public String getPages() {
        return pages;
    }

    public void setPages(String pages) {
        this.pages = pages;
    }

    public float getRotation() {
        return rotation;
    }

    public void setRotation(float rotation) {
        this.rotation = rotation;
    }

    public float getScale() {
        return scale;
    }

    public void setScale(float scale) {
        this.scale = scale;
    }

    public float getxOffset() {
        return xOffset;
    }

    public void setxOffset(float xOffset) {
        this.xOffset = xOffset;
    }

    public float getyOffset() {
        return yOffset;
    }

    public void setyOffset(float yOffset) {
        this.yOffset = yOffset;
    }

    public Bitmap getImage() {
        return image;
    }

    public void setImage(Bitmap image) {
        this.image = image;
    }
}
